Bug 970929 - Review Request: php-nrk-Predis - PHP client library for Redis
Review Request: php-nrk-Predis - PHP client library for Redis
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 970927
Blocks: Horde_HashTable
  Show dependency treegraph
 
Reported: 2013-06-05 04:59 EDT by Remi Collet
Modified: 2013-07-21 14:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-nrk-Predis-0.8.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci (67.75 KB, text/x-log)
2013-07-02 15:49 EDT, Shawn Iwinski
no flags Details
fedora-review (7.05 KB, text/plain)
2013-07-02 15:50 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-06-05 04:59:08 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/391bea69f62cda0ef358dbf8de8f94fac49855d9/php/php-nrk-Predis/php-nrk-Predis.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nrk-Predis-0.8.3-1.remi.src.rpm
Description: 
Flexible and feature-complete PHP client library for Redis.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2013-06-30 13:46:15 EDT
Build error:

+ /usr/bin/pear install --nodeps --packagingroot /builddir/build/BUILDROOT/php-nrk-Predis-0.8.3-1.fc20.x86_64 php-nrk-Predis.xml
parsePackageName(): only one version/state delimiter "-" is allowed in "php-nrk-Predis.xml"
Parsing of package.xml from file "php-nrk-Predis.xml" failed
Comment 2 Remi Collet 2013-06-30 14:04:36 EDT
I will check as soon as php-channel-nrk will be available in rawhide.
Very strange as local and mock build succeed locally for me.
Comment 3 Remi Collet 2013-07-01 11:53:53 EDT
Shawn, can you check if channel nrk is properly registered on your system (pear list-channels). I suspect a bad channel.xml in your build environment.

Koji scratch build Rawide (test enabled):
http://koji.fedoraproject.org/koji/taskinfo?taskID=5562340

Koji scratch build EPEL-6 (test disabled because of old redis version):
http://koji.fedoraproject.org/koji/taskinfo?taskID=5562342


Notice : php-channel-brk is now in updates-testing and in buildroot (override) for F18, F19 and EPEL-6
Comment 4 Shawn Iwinski 2013-07-02 15:49:57 EDT
Created attachment 767926 [details]
phpci

phpcompatinfo version 2.17.0

NOTE: False positive for min PHP version 5.4.0
Comment 5 Shawn Iwinski 2013-07-02 15:50:52 EDT
Created attachment 767927 [details]
fedora-review

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 970929
Comment 6 Shawn Iwinski 2013-07-02 15:55:55 EDT
(In reply to Remi Collet from comment #3)
> Shawn, can you check if channel nrk is properly registered on your system
> (pear list-channels). I suspect a bad channel.xml in your build environment.

My mock env needed to be removed and then recreated which fixed my issue.  Sorry.



Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/siwinski/projects/fedora/reviews/970929-php-nrk-Predis/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

http://pear.nrk.io/get/Predis-0.8.3.tgz :
  CHECKSUM(SHA256) this package     : 21f69d36a18faa2eca86c0e37798668f2b1fe1a32a3688e869a93206617cc198
  CHECKSUM(SHA256) upstream package : ce9f28ce5ae4a866f085464f0b87e552a919e7947559dae659bd6bd1ecd5fcdc

Your SRPM does not contain the updated tarball after https://github.com/nrk/predis/issues/125 was fixed.  Please fix the SRPM (no release bump needed) and I will approve this package.



NICE work with upstream by the way!!!
Comment 8 Shawn Iwinski 2013-07-03 01:41:43 EDT
Source fixed

===== APPROVED =====
Comment 9 Remi Collet 2013-07-03 01:46:26 EDT
Thanks for this review

New Package SCM Request
=======================
Package Name: php-nrk-Predis
Short Description: PHP client library for Redis
Owners: remi
Branches: f18 f19 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-07-03 08:55:02 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-07-04 03:05:19 EDT
php-nrk-Predis-0.8.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-nrk-Predis-0.8.3-2.fc18
Comment 12 Fedora Update System 2013-07-04 03:05:29 EDT
php-nrk-Predis-0.8.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-nrk-Predis-0.8.3-2.el6
Comment 13 Fedora Update System 2013-07-04 03:05:38 EDT
php-nrk-Predis-0.8.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-nrk-Predis-0.8.3-2.fc19
Comment 14 Fedora Update System 2013-07-04 16:00:13 EDT
Package php-nrk-Predis-0.8.3-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-nrk-Predis-0.8.3-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10734/php-nrk-Predis-0.8.3-2.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-07-15 21:24:37 EDT
php-nrk-Predis-0.8.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-07-15 21:31:18 EDT
php-nrk-Predis-0.8.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-07-21 14:39:39 EDT
php-nrk-Predis-0.8.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.